The BOOST_PP_VARIADIC_TO_ARRAY variadic macro converts variadic data to an array.

#### Usage

BOOST_PP_VARIADIC_TO_ARRAY(...) (v)

#### Arguments

...
  The variadic data to be converted.

#### Remarks

In C++ 20 mode the variadic data can be empty and the result will be an empty array of the form '(0,())'.

#### Requirements

Header: <boost/preprocessor/variadic/to_array.hpp>

#### Sample Code

    #include <boost/preprocessor/variadic/to_array.hpp>

    #define VAR_DATA a, b, c

    BOOST_PP_VARIADIC_TO_ARRAY(VAR_DATA) // expands to (3, (a, b, c))

© Copyright Edward Diener 2011,2013

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)